Name:           python-vmbuilder
Version:        0.12.4
Release:        3.bzr489%{?dist}
Summary:        Ubuntu's vmbuilder
Group:          Development/Tools
License:        GPLv3
URL:            https://launchpad.net/vmbuilder/

# Source0:        https://launchpad.net/vmbuilder/0.12/%{version}/+download/VMBuilder-%{version}.tar.gz
Source0:        http://archive.ubuntu.com/ubuntu/pool/universe/v/vm-builder/vm-builder_0.12.4+bzr489.orig.tar.gz
Patch0:         %{name}-%{version}-kpartx-dev-mapper-delay.patch

BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       python-cheetah
Requires:       dpkg
Requires:       debootstrap

%description
Install virtual machines in a snap without ever actually booting a virtual machine.

%prep
%setup -q -n vm-builder-0.12.4+bzr489
%patch0 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
install -D -pm 644 vmbuilder.1 $RPM_BUILD_ROOT/%{_mandir}/man1/vmbuilder.1
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%files
%defattr(-,root,root,-)
%{_bindir}/vmbuilder
%{_mandir}/man1/vmbuilder.1.gz
%{python_sitelib}/VMBuilder/*

%dir %{_sysconfdir}/vmbuilder/ec2
%config(noreplace) %{_sysconfdir}/vmbuilder/ec2/*.tmpl

%dir %{_sysconfdir}/vmbuilder/firstscripts
%config(noreplace) %{_sysconfdir}/vmbuilder/firstscripts/*.tmpl

%dir %{_sysconfdir}/vmbuilder/kvm

%dir %{_sysconfdir}/vmbuilder/libvirt
%config(noreplace) %{_sysconfdir}/vmbuilder/libvirt/*.tmpl

%dir %{_sysconfdir}/vmbuilder/network

%dir %{_sysconfdir}/vmbuilder/postinst

%dir %{_sysconfdir}/vmbuilder/ubuntu
%config(noreplace) %{_sysconfdir}/vmbuilder/ubuntu/*.tmpl

%dir %{_sysconfdir}/vmbuilder/virtualbox
%config(noreplace) %{_sysconfdir}/vmbuilder/virtualbox/*.tmpl

%dir %{_sysconfdir}/vmbuilder/vmware
%config(noreplace) %{_sysconfdir}/vmbuilder/vmware/*.tmpl

%dir %{_sysconfdir}/vmbuilder/xen

%doc AUTHORS NEWS

%changelog
* Fri Feb 19 2016 Warren Togami <wtogami@gmail.com> - 0.12.4-3
- 0.12.4+bzr489 - Add trusty to list of releases

* Thu May 16 2013 Warren Togami <wtogami@gmail.com> - 0.12.4-2
- Initial RPM release
- patch0: wait for /dev/mapper/loop0p1 to exist after kpartx before proceeding
